# pleroma-cli
Just for fun. Simple "Client" API script for Pleroma (or maybe also Mastodon) instances.  

Features:  
* Write longreads in Your default $EDITOR
* List timelines
* Switch instance from public list in config.json or manual input. Also recent used instance list.
* All others futures maybe working 50/50

Note about proxy:  
Proxy by default autodetect i2p and onion (not tested) instances address.  
If provided main_proxy in config.json is disable i2p and onion instances autodetection.  
Also: don't forget change connect_protocol_via_main_proxy if set http proxy or any proxy without support https.  

Note about auth:  
i2p and onion instances may no support (or disabled) OAuth2.  
Workaround: if instance have clearweb address, make auth and copy-paste token in .auth.json, example:
```
{
  "your.authorized.instance": "xxx",
  "abc123instance.i2p": "xxx",
  "abc123instance.onion": "xxx"
}
```

Depends:  
* [jj](http://gitea.phreedom.club/localhost_frssoft/jj)
* [curl](https://curl.se/)
* [fzy](https://github.com/jhawthorn/fzy)
* Any browser (links set by default) - for authorization on instances  

Opt. Depends:
* gpg - for decrypt PGP messages
* awk - parse PGP standart messages
* Any media player  

Also, thk Tolstoevsky for Pleroma instance (set by default instance)  
